scala.concurrent

# ExecutionContext

#### object ExecutionContext

Contains factory methods for creating execution contexts.

Source
  ExecutionContext.scala

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ExecutionContext
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### object Implicits

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def defaultReporter: (Throwable) ⇒ Unit

   The default reporter simply prints the stack trace of the `Throwable` to System.err.

   The default reporter simply prints the stack trace of the `Throwable` to System.err.

   returns

     the function for error reporting

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### def fromExecutor(e: Executor): ExecutionContextExecutor

    Creates an `ExecutionContext` from the given `Executor` with the default reporter.

    Creates an `ExecutionContext` from the given `Executor` with the default reporter.

    e

      the `Executor` to use

    returns

      the `ExecutionContext` using the given `Executor`

12. #### def fromExecutor(e: Executor, reporter: (Throwable) ⇒ Unit): ExecutionContextExecutor

    Creates an `ExecutionContext` from the given `Executor`.

    Creates an `ExecutionContext` from the given `Executor`.

    e

      the `Executor` to use

    reporter

      a function for error reporting

    returns

      the `ExecutionContext` using the given `Executor`

13. #### def fromExecutorService(e: ExecutorService): ExecutionContextExecutorService

    Creates an `ExecutionContext` from the given `ExecutorService` with the default reporter.

    Creates an `ExecutionContext` from the given `ExecutorService` with the default reporter.

    If it is guaranteed that none of the executed tasks are blocking, a single-threaded `ExecutorService` can be used to create an `ExecutionContext` as follows:

        import java.util.concurrent.Executors
        val ec = ExecutionContext.fromExecutorService(Executors.newSingleThreadExecutor())

    e

      the `ExecutorService` to use

    returns

      the `ExecutionContext` using the given `ExecutorService`

14. #### def fromExecutorService(e: ExecutorService, reporter: (Throwable) ⇒ Unit): ExecutionContextExecutorService

    Creates an `ExecutionContext` from the given `ExecutorService`.

    Creates an `ExecutionContext` from the given `ExecutorService`.

    e

      the `ExecutorService` to use

    reporter

      a function for error reporting

    returns

      the `ExecutionContext` using the given `ExecutorService`

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def global: ExecutionContextExecutor

    The explicit global `ExecutionContext`.

    The explicit global `ExecutionContext`. Invoke `global` when you want to provide the global `ExecutionContext` explicitly.

    The default `ExecutionContext` implementation is backed by a port of java.util.concurrent.ForkJoinPool.

    returns

      the global `ExecutionContext`

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    Definition Classes
      AnyRef → Any

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped